Subject: Re: Bug#1068197: debian-installer: accesses the internet during build

From: Cyril Brulebois <[email-masked]>
Date: Mon, 1 Apr 2024 20:32:39 +0200

[ Switching from ML to bug. ]

Hi Jonathan,

Jonathan Carter <[email-masked]> (2024-04-01):
> On 2024/04/01 18:55, Aurelien Jarno wrote:
> > debian-installer attemps network access during build, although only to
> > the mirrors listed in /etc/apt/sources.list and in a secure way. This is
> > forbidden by Policy 4.9:
> > 
> >    For packages in the main archive, required targets must not attempt
> >    network access, except, via the loopback interface, to services on the
> >    build host that have been started by the build.
> > 
> > In addition this brings constraints to the build daemons infrastructure.
> 
> As far as I know, this doesn't happen until after d-i asked the question "Do
> you want to use a network mirror?" and the user answered "Yes", in which
> case I think that would count as informed consent.

This isn't about d-i runtime, this is about src:debian-installer's
*build* requiring network access, which is a very well known problem
(even though there are no obvious solutions, at least that I'm aware
of), and that's now getting in the way of changes being considered 
regarding the buildd network.

Cheers,
-- 
Cyril Brulebois ([email-masked])            <https://debamax.com/>
D-I release manager -- Release team member -- Freelance Consultant